Skip to content
Proud to collaborate with Microsoft for Startups

docusign.connect-configurations.get-connect-all-users ​

Returns all users from the configured Connect service. <ds-inlinemessage> To use this method, you must be an account administrator and Connect must be enabled on your account. </ds-inlinemessage>

Returns all users from the configured Connect service.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
connectidstringYes—The ID of the custom Connect configuration being accessed.
countstringNo—The maximum number of results to return.
domain_users_onlystringNo——
email_substringstringNo—Filters returned user records by full email address or a substring of email address.
start_positionstringNo—The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.
statusstringNo—The status of the item.
user_name_substringstringNo—Filters results based on a full or partial user name. Note: When you enter a partial user name, you do not use a wildcard character.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
connectidstringYes—The ID of the custom Connect configuration being accessed.
countstringNo—The maximum number of results to return.
domain_users_onlystringNo——
email_substringstringNo—Filters returned user records by full email address or a substring of email address.
start_positionstringNo—The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.
statusstringNo—The status of the item.
user_name_substringstringNo—Filters results based on a full or partial user name. Note: When you enter a partial user name, you do not use a wildcard character.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/connect/{connectId}/all/users
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/connect/{connectId}/all/users
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.connect-configurations.get-connect-all-users",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "connectid": "value"
  }
}